This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311724 - On the system status page it would be helpful to have a warning note field
On the system status page it would be helpful to have a warning note field
Status: NEW
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
develop
All All
unspecified Severity high (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 15:18 EST by Arthur Benoit
Modified: 2016-09-15 03:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
System Notes example (38.44 KB, application/pdf)
2016-02-29 12:03 EST, Arthur Benoit
no flags Details

  None (edit)
Description Arthur Benoit 2016-02-24 15:18:15 EST
Description of problem:
On the system status page it would be helpful to have a loan note field. Since
the Beaker header section always stays the same, having the warning note field to add system specific information would make it easier for users to see notes. 



Version-Release number of selected component (if applicable):
22.1


Actual results:
This would be like the " Remote power control available" field but would be customize-able.

Expected results:
Have the ability to add highly visible notes to beaker page.
Comment 1 Dan Callaghan 2016-02-28 20:25:00 EST
Arthur, could you please give some examples of the notes you would want prominently displayed? That will help us to understand the best way to display them.

Right now, system notes are treated as Markdown and are expected to be (possibly) several paragraphs long, so we can't necessarily display them in the "quick info" box as is.
Comment 2 Arthur Benoit 2016-02-29 12:02:18 EST
Dan,
What I'm thinking is one sentence. Example:

System has not serial console See notes tab for KVM information
Loans only for FCoE Bugzilla or hardware unavailable on other systems
Manual OS install is required see Notes tab
System fails to power on after, requires beaker power off and on.

The idea is to make sure users see the System Notes: no matter which tab
the user selects. I've attached an example in PDF.


Thanks,
Arthur
Comment 3 Arthur Benoit 2016-02-29 12:03 EST
Created attachment 1131627 [details]
System Notes example

Note You need to log in before you can comment on or make changes to this bug.